Subject: Re: [PATCH] bash completion: Hide more plumbing commands

From: Jakub Narebski <[email-masked]>
Date: Tue, 26 Aug 2008 10:43:02 -0700 (PDT)

"Shawn O. Pearce" <[email-masked]> writes:

> Petr Baudis <[email-masked]> wrote:
> > git <tab><tab> still shows way too many commands, some of them
> > are clearly plumbing. This patch hides the plumbing commands
> > liberally (that is, in special cases, users still might want to
> > call one of the hidden commands, a *normal* workflow should never
> > involve these, though - and if it does, we have a UI problem anyway).
> > 
> > Signed-off-by: Petr Baudis <[email-masked]>
> 
> Acked-by: Shawn O. Pearce <[email-masked]>
> 
> Though I use git ls-remote at least once every other day to see
> what branches are available on my egit/spearce.git fork.  Its ok,
> I guess I can type a few extra characters...

One would think that one can use "git remote show <remote>" instead of
"git ls-remote <remote>", but I'm not sure if it does show also
_untracked_ remote branches.

-- 
Jakub Narebski
Poland
ShadeHawk on #git